← Back to team overview

group.of.nepali.translators team mailing list archive

[Bug 1901627] Re: Update product naming: Simplify UA Infrastructure ESM to UA Infra: ESM

 

This bug was fixed in the package update-notifier - 3.168.13

---------------
update-notifier (3.168.13) xenial; urgency=medium

  * Fix pep8 autopkgtest failures in the right control file (LP: #1906436)
    - d/control: remove pep8 from Build-Depends as no tests run by
      override_dh_auto_test use pep8.
    - d/tests/control: add pep8 to Depends as it is only used by
      python-based autopkgtests via subprocess in test_motd.py.
    - d/tests/test_package-data-downloader.py: mock subprocess calls to
      apt-helper for expected failure tests to avoid emitting error messages
      to console

update-notifier (3.168.12) xenial; urgency=medium

  * data/apt_check.py: Update UA Infra: ESM product name and doc url
    (LP: #1901627)
    - data/apt_check.py: Update name and URL
    - tests/test_motd.py: adapt unittests to match new behavior
    - po/*.po: translation files with intltool-update -r
  * Fix pep8 autopkgtest failures (LP: 1906436)
    - d/control: add expilicit pep8 build-requires dependency
    - data/apt_check.py: fix over-indent pep8 errors
    - data/apt_check & data/backend_helper: resolve underindent pep8 issues
      backport of 9e0f7ee50 [ Brian Murray ]
    - data/apt_check.py, data/package-data-downloader, tests/test_pep8.py:
      + update the code formating to be not hit W504 warnings,
        change to ignore W503 and be consistent with update-manager.
        [ Andrea Azzarone ]
    - INSTALL, data/hooks.py, tests/test_package-data-downloader.py:
      Fix E117 over-indented pep issues. [ Gianfranco Costamagna ]

update-notifier (3.168.11) xenial; urgency=medium

  [ Julian Andres Klode ]
  * Handle missing cases of LP: #1822340, where we told people ESM is not
    enabled, but not how to enable it.
  * Fix multiple disabled ESM repositories being counted as enabled ones.

  [ Brian Murray ]
  * data/apt_check.py: modify wording and output regarding ESM support.
    (LP: #1842508)

  [ Andreas Hasenack ]
  * data/apt_check.py: Update ESM security pockets names (LP: #1881632)
    - the UbuntuESM pocket was renamed from <distro>-security to
      <distro>-infra-security
    - new origin UbuntuESMApps, with a corresponding pocket of
      <distro>-apps-security

 -- Chad Smith <chad.smith@xxxxxxxxxxxxx>  Thu, 10 Dec 2020 14:40:50
-0700

** Changed in: update-notifier (Ubuntu Xenial)
       Status: Fix Committed => Fix Released

** Changed in: update-notifier (Ubuntu Bionic)
       Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of नेपाली
भाषा समायोजकहरुको समूह, which is subscribed to Xenial.
Matching subscriptions: Ubuntu 16.04 Bugs
https://bugs.launchpad.net/bugs/1901627

Title:
  Update product naming: Simplify UA Infrastructure ESM to UA Infra: ESM

Status in update-notifier package in Ubuntu:
  Fix Released
Status in update-notifier source package in Xenial:
  Fix Released
Status in update-notifier source package in Bionic:
  Fix Released
Status in update-notifier source package in Focal:
  Fix Released
Status in update-notifier source package in Groovy:
  Fix Released

Bug description:
  [Impact]

   The product names and product URLs of Ubuntu Advantage Extended
  Security Maintenance offerings have been rebranded prior to an
  official launch of the product ESM product in Ubuntu Xenial, Bionic
  and Focal. MOTD messages reference the old product name UA
  Infrastructure: Extended Security Maintenance as well as an invalid
  product URL https://ubuntu.com/esm.

  Correct both the product name "UA Infra: ESM" and the apt URL message
  See https://ubuntu.com/security/esm.

  Because these text messages are translated using gettext, translations
  will need to be updated as well.

  [Test Case]

   * Install unreleased ubuntu-advantage-tools from a PPA
   * Run: ua enable <yourToken> to activate UA apt repositories
   * Check MOTD messaging related to UA Infra: ESM prior to upgrade to -proposed update-notifier via /usr/lib/update-notifier/apt-check --human-readable

   * Upgrade update-notifier to -proposed
   * Re-check MOTD messaging related to UA Infra: ESM to see expected messages (not on groovy as there are no esm repos)

  #!/bin/bash
  #
  # SRU Verification update-notifier + ubuntu=advantage-tools
  # Test procedure:
  # - launch container Trusty, Xenial or Bionic
  # - Install ubuntu-advantage-tools from https://launchpad.net/~ua-client/+archive/ubuntu/proposed which supports esm on trusty, xenial, bionic, and focal
  # - Attach container to UA subscription (which activates the ESM APT repos
  # - run apt_check --human-readable to assert ESM pkg counts ARE NOT reported
  # - Upgrade update-notifier to -proposed
  # - re-run apt_check --human-readable to assert ESM pkg counts ARE reported

  set -e
  UA_TOKEN=$1
  if [ -z "$1" ]; then
   echo "Usage: $0 <contractTOKEN>"
   exit 1
  fi

  cat > test-un.yaml <<EOF
  #cloud-config
  ssh_import_id: [chad.smith]
  package_update: true
  package_upgrade: true
  apt:
    sources:
        ua.proposed:
            source: deb http://ppa.launchpad.net/ua-client/staging/ubuntu \$RELEASE main
            keyid: 6E34E7116C0BC933
  EOF

  cat > setup_proposed.sh <<EOF
  #/bin/bash
  mirror=http://archive.ubuntu.com/ubuntu
  echo deb \$mirror \$(lsb_release -sc)-proposed main | tee /etc/apt/sources.list.d/proposed.list
  apt-get update -q
  apt-get install -qy update-notifier-common
  EOF

  wait_for_boot() {
    local vm=$1 release=$2
    echo "--- Wait for cloud-init to finish"
    sleep 5
      lxc exec ${vm} -- cloud-init status --wait --long
  }

  for release in xenial; do
    echo "--- BEGIN $release update-notifier testing"
    vm=test-sru-$release
    echo "--- Launch cloud-init with ppa:ua-client/proposed enabled"
    lxc launch ubuntu-daily:${release} ${vm} -c user.user-data="$(cat test-un.yaml)"
    wait_for_boot ${vm} ${release}
    echo "--- Attach Ubuntu-Advantage, enabling services"
    lxc exec ${vm} -- ua attach ${UA_TOKEN}
    case "$release" in
          xenial) 
              UPGRADE_MATCH="0 updates are security updates";
              downrev_pkg="libkrad0=1.13.2+dfsg-5";;
          bionic)
              UPGRADE_MATCH="1 update is a security update"
              downrev_pkg="libkrad0=1.16-2build1";;
          focal)
              UPGRADE_MATCH="0 updates are security updates"
              downrev_pkg="hello=2.10-2ubuntu2";;
          groovy)
              UPGRADE_MATCH="1 of these updates is a security update"
              downrev_pkg="apport-retrace=2.20.11-0ubuntu50";;
    esac
    echo "-- Downgrading package to stable ubuntu release $downrev_pkg"
    lxc exec ${vm} -- apt-get install $downrev_pkg --yes -q
    lxc exec ${vm} -- dpkg-query --show update-notifier
    if [ "$release" = "xenial" ]; then
        # Xenial-updates have already included esm package updates.
        # Drop the xenial-updates apt source so we can be sure we are seeing only
        # available esm updates
        lxc exec ${vm} -- sed -e "/xenial-updates/ s/^#*/#/" -i /etc/apt/sources.list
        lxc exec ${vm} -- sed -e "/xenial-security/ s/^#*/#/" -i /etc/apt/sources.list
        lxc exec ${vm} -- apt-get update
    fi
    MOTD=`lxc exec ${vm} -- /usr/lib/update-notifier/apt-check --human-readable`
    echo ${MOTD}
    POST_UPGRADE_MSG="UA Infra: Extended Security Maintenance (ESM) is enabled"
    echo $MOTD | grep -q "${POST_UPGRADE_MSG}" && echo "FAILURE: found ${POST_UPGRADE_MSG}" ||  echo "SUCCESS: did not find ${POST_UPGRADE_MSG=}"
    echo $MOTD | grep -q "${UPGRADE_MATCH}" && echo "SUCCESS: found ${UPGRADE_MATCH} security updates pre-upgrade" || echo "FAILURE: did not find expected ${UPGRADE_MATCH} ESM security updates"
    echo "--- Upgrade update-notifier from -proposed"
    lxc file push setup_proposed.sh ${vm}/
    lxc exec ${vm} -- bash /setup_proposed.sh | grep update-notifier
    lxc exec ${vm} -- dpkg-query --show update-notifier
     MOTD=`lxc exec ${vm} -- /usr/lib/update-notifier/apt-check --human-readable`
    echo $MOTD | grep -q "${POST_UPGRADE_MSG}" && echo "SUCCESS: found ${POST_UPGRADE_MSG}" ||  echo "FAILURE: did not find ${POST_UPGRADE_MSG=}"
    echo "--- Expect non-zero upgradable packages for MOTD from apt_check AFTER upgrade"
    lxc exec ${vm} -- /usr/lib/update-notifier/apt-check --human-readable
    lxc exec ${vm} -- /usr/lib/update-notifier/apt-check --human-readable | grep '1 of these updates is a security update' && echo "SUCCESS: found 1 ESM security updates pre-upgrade" || echo "FAILURE: did not find expected 1 ESM security updates"
  done

  
  [Where problems could occur]

   *  Low risk:
      pep8 lint fixes plus MOTD text changes here. Minor logic changes in supplemental MOTD messaging for a product (ESM) that is not yet released and active in the wild on Xenial -> Focal. If messaging falls over the result is a lack of MOTD information about ESM package updates in motd, which is not yet released. If we can ensure we receive MOTD messaging about both ESM and non-ESM package updates without error, then risk of regression is minimal.

  [Other Info]

  [Original Description]

  MOTD text should align with the messaging that is being surfaced by
  ubuntu-advantage-tools and apt command line hook messaging.

  Current ESM product name is represented in MOTD as the following when
  logging into a VM:

  ### Current ESM-relatedMOTD messaging

  # When ESM is disabled:
  UA Infrastructure Extended Security Maintenance \(ESM\) is not enabled.

  Enable UA Infrastructure ESM to receive 14 additional security
  updates.

  # When ESM is enabled:
  UA Infrastructure Extended Security Maintenance \(ESM\) is enabled.

  14 of these updates are provided through UA Infrastructure ESM.

  #### Expected new ESM messaging:
  # When ESM is disabled:
  UA Infra: Extended Security Maintenance \(ESM\) is not enabled.

  Enable UA Infra: ESM to receive 14 additional security updates.

  # When ESM is enabled:
  UA Infra: Extended Security Maintenance \(ESM\) is enabled.

  14 of these updates are provided through UA Infrastructure

  UA Infra: Extended Security Maintenance \(ESM\) is not enabled.

  Enable UA Infra: ESM to receive 14 additional security updates.

  This request for product naming changes and standardization is also
  represented as a request against UA-Client tooling/apt-hooks/status
  messaging.

  https://github.com/canonical/ubuntu-advantage-
  client/issues/1212#issuecomment-713735291

  Additionally documentation URLs for esm are updated from
  ubuntu.com/esm -> ubuntu.com/security/esm.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/update-notifier/+bug/1901627/+subscriptions